
Redmine - Defect #3002

My Redmine is not sending email notifications

2009-03-18 16:13 - Fernando Silva

Status: Closed Start date: 2009-03-18

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 0.8.2

Description

Hi guys,

I'm trying to set Redmine to send email notifications, I followed the procedure from redmine's site, but it is not working. My SMTP

server is up and working for other application.

The production log file has the follow info:

Processing IssuesController#edit (for 192.168.1.107 at 2009-03-18 12:06:32) [POST]

  Session ID: 9c1e257d1de7187ef9baf4e77c9aae10

  Parameters: {"time_entry"=>{"comments"=>"", "activity_id"=>"", "hours"=>""}, "commit"=>"Enviar",

 "action"=>"edit", "id"=>"8", "notes"=>"Teste email nova2", "controller"=>"issues", "issue"=>{"sta

rt_date"=>"2009-03-18", "estimated_hours"=>"", "priority_id"=>"6", "lock_version"=>"1", "subject"=

>"Teste Email", "description"=>"Teste email apenas", "done_ratio"=>"0", "due_date"=>"", "assigned_

to_id"=>"3", "status_id"=>"1"}, "attachments"=>{"1"=>{"description"=>"", "file"=>""}}}

Redirected to http://192.168.1.5:3000/issues/show/8

Completed in 1.57466 (0 reqs/sec) | DB: 0.31442 (19%) | 302 Found [http://192.168.1.5/issues/edit/

8]

Processing IssuesController#show (for 192.168.1.107 at 2009-03-18 12:06:34) [GET]

  Session ID: 9c1e257d1de7187ef9baf4e77c9aae10

  Parameters: {"action"=>"show", "id"=>"8", "controller"=>"issues"}

Rendering template within layouts/base

Rendering issues/show.rhtml

Completed in 0.61072 (1 reqs/sec) | Rendering: 0.23350 (38%) | DB: 0.34227 (56%) | 200 OK [http://

192.168.1.5/issues/show/8]

 Note that, there is no email information, like email sent to ...

My email.yml is:

production:

  delivery_method: :smtp

  smtp_settings:

    address: hm1076.locaweb.com.br

    port: 25

    #domain: 

    authentication: :login

    user_name: redmine@nuntec.com.br

    password: xxxx (just comment to post this issue)

 I was reading some tickets and I saw a configuration in config/environment.rb, then I changed to:

# Be sure to restart your web server when you modify this file.

# Uncomment below to force Rails into production mode when 

# you don't control web/app server and can't set it the proper way

# ENV['RAILS_ENV'] ||= 'production'
# Specifies gem version of Rails to use when vendor/rails is not present

RAILS_GEM_VERSION = '2.1.2' unless defined? RAILS_GEM_VERSION

# Bootstrap the Rails environment, frameworks, and default configuration

require File.join(File.dirname(__FILE__), 'boot')

# Load Engine plugin if available

begin

  require File.join(File.dirname(__FILE__), '../vendor/plugins/engines/boot')

rescue LoadError

  # Not available

end

Rails::Initializer.run do |config|

  # Settings in config/environments/* take precedence those specified here

  # Skip frameworks you're not going to use

  # config.frameworks -= [ :action_web_service, :action_mailer ]

  # Add additional load paths for sweepers

  config.load_paths += %W( #{RAILS_ROOT}/app/sweepers )

  # Force all environments to use the same logger level 

  # (by default production uses :info, the others :debug)

  # config.log_level = :debug

  # Use the database for sessions instead of the file system

  # (create the session table with 'rake db:sessions:create')

  # config.action_controller.session_store = :active_record_store

  config.action_controller.session_store = :PStore

  # Enable page/fragment caching by setting a file-based store

  # (remember to create the caching directory and make it readable to the application)

  # config.action_controller.fragment_cache_store = :file_store, "#{RAILS_ROOT}/cache" 

  # Activate observers that should always be running

  # config.active_record.observers = :cacher, :garbage_collector

  config.active_record.observers = :message_observer

  # Make Active Record use UTC-base instead of local time

  # config.active_record.default_timezone = :utc

  # Use Active Record's schema dumper instead of SQL when creating the test database

  # (enables use of different database adapters for development and test environments)

  # config.active_record.schema_format = :ruby

  # Deliveries are disabled by default. Do NOT modify this section.

  # Define your email configuration in email.yml instead.

  # It will automatically turn deliveries on

  config.action_mailer.smtp_settings = {

  :address => "hm1076.locaweb.com.br",

  :port => 25,

  #:domain => "",

  :authentication => :login,

  :user_name => "redmine@nuntec.com.br",

  :password => "xxxx",

  }     

  config.action_mailer.perform_deliveries = true

  config.action_mailer.delivery_method = :smtp

  config.action_mailer.default_charset = "utf-8" 

  config.action_mailer.raise_delivery_errors = true    

end

 I did not find any error msg, I tryed to turn it on by  config.action_mailer.raise_delivery_errors = true but no way.

Follow my redmine configuration:

ruby 1.8.6
redmine-0.8.2

MySQL 5

Please, could anyone help me?

Best regards,

Fernando Alves

History

#1 - 2009-03-18 18:09 - Fernando Silva

- Status changed from New to Resolved

- % Done changed from 0 to 100

Hi guys,

I got the solution form issues #2927

I was missing "" between my email.yml password information.

Thanks,

Fernando Alves

#2 - 2009-04-08 21:22 - Jean-Philippe Lang

- Status changed from Resolved to Closed
